# Specular

Specular is an RSpec to GitHub Issues bridging tool where the
output of an RSpec run is read, and if necessary, converted
into Markdown and posted to a GitHub Issue.

When running tests in a Continuous Integration environment like
GitHub Actions the output is often buried in a log. This makes
identifying specific test failures difficult.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'specular'
```

And then execute:

```shell
bundle install
```

Or install it yourself as:

```shell
gem install specular
```

## Configuration

To create GitHub issues requires a [Personal Access Token](https://github.com/settings/tokens).

## Usage

The command-line interface is the most straightforward:

```shell
rspec --format json | specular
```

If the test run was successful then `specular` will return status code 0,
otherwise -1. This can be disabled with the `--clean-exit` option to avoid
returning a failing exit code and breaking an execution chain.

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then,
run `rake spec` to run the tests. You can also run `bin/console` for an
interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`.
To release a new version, update the version number in `version.rb`, and then
run `bundle exec rake release`, which will create a git tag for the version,
push git commits and tags, and push the `.gem` file to
[Rubygems](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on [GitHub](https://github.com/postageapp/specular).
This project is intended to be a safe, welcoming space for collaboration, and
contributors are expected to adhere to the
[Code of Conduct](https://github.com/postageapp/specular/blob/master/CODE_OF_CONDUCT.md).

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Specular project's codebases, issue trackers, chat
rooms and mailing lists is expected to follow the
[Code of Conduct](https://github.com/postageapp/specular/blob/master/CODE_OF_CONDUCT.md).
