require_relative 'lib/specular/version'

Gem::Specification.new do |spec|
  spec.name = 'specular'
  spec.version = Specular.version
  spec.authors = [ 'Scott Tadman' ]
  spec.email = [ 'tadman@postageapp.com' ]

  spec.summary = %q{RSpec to GitHub/Slack bridge tool}
  spec.description = %q{Exports results from RSpec to GitHub, GitHub Issues, and Slack}
  spec.homepage = 'https://github.com/postageapp/specular'
  spec.license = 'MIT'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.6.0')

  spec.metadata['allowed_push_host'] = 'https://rubygems.org/'

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = spec.homepage
  spec.metadata['changelog_uri'] = spec.homepage

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir = 'exe'
  spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = %w[ lib ]

  spec.add_runtime_dependency 'liquid'
  spec.add_runtime_dependency 'graphql-client'
  spec.add_runtime_dependency 'slack-ruby-client'
end
